﻿$ErrorActionPreference = 'Stop' # stop on all errors

$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$fileLocation = Join-Path $toolsDir 'Setup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  file          = $fileLocation
  softwareName  = 'Rons Data Stream*'
  checksum      = '3b137b40db10fc3a7848acc4ac4e75712c77995d016ebaed121c3dda51fcc02c'
  checksumType  = 'sha256'
  silentArgs   = '/SP- /VERYSILENT /SUPPRESSMSGBOXES /NORESTART /MANAGED'
  validExitCodes= @(0)
}

Install-ChocolateyInstallPackage @packageArgs