﻿$ErrorActionPreference = 'Stop' # stop on all errors

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  softwareName  = 'Rons Data Stream*'
  fileType      = 'EXE'
  silentArgs    = '/SP- /VERYSILENT /SUPPRESSMSGBOXES /NORESTART'
  validExitCodes= @(0)
}

[array]$key = Get-UninstallRegistryKey -SoftwareName $packageArgs['softwareName']

if ($key.Count -eq 1)
{
  $packageArgs['file'] = $key.UninstallString
  Uninstall-ChocolateyPackage @packageArgs
}